Bug 1434662 - [RFE] user defined pluggable event API for libunbound
Summary: [RFE] user defined pluggable event API for libunbound
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: unbound
Version: 6.10
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Petr Menšík
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-22 03:21 UTC by Paul Wouters
Modified: 2017-09-06 09:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1434661
Environment:
Last Closed: 2017-09-06 09:51:00 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Paul Wouters 2017-03-22 03:21:34 UTC
+++ This bug was initially created as a clone of Bug #1434661 +++

Description of problem:

some functions in unbound with respect to its libevent support cannot be used because unbound-event.h is not installed. This will be required for libreswan-3.21 that uses this functionality.

The fix is to call:

%{__make} DESTDIR=%{buildroot} unbound-event-install

after the make install line, and add new file to the file list.

I have done this for the fedora package

--- Additional comment from Red Hat Bugzilla Rules Engine on 2017-03-21 23:20:33 EDT ---

Since this bug report was entered in Red Hat Bugzilla, the release flag has been set to ? to ensure that it is properly evaluated for this release.

Comment 4 Tomáš Hozza 2017-09-06 09:51:00 UTC
Red Hat Enterprise Linux 6 transitioned to the Production 3 Phase on May 10, 2017.  During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:
http://redhat.com/rhel/lifecycle

This issue does not appear to meet the inclusion criteria for the Production Phase 3 and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification.  Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com


Note You need to log in before you can comment on or make changes to this bug.